# Get transfers Gets a list of transfers. Endpoint: GET /transfers Version: 4.0.0 Security: Bearer ## Query parameters: - `page` (integer) The page number for paginated results. The value is zero-based, where 0 represents the first page. Set it to 0 to get the first page of results. - `size` (integer) Number of objects to return per page. - `with_labels` (array) Returns transfers that contain any of the specified labels.Example - ?with_labels=LABEL1,LABEL2 - `without_labels` (array) Returns transfers that do not contain any of the specified labels. - `include_labels` (boolean) Returns labels added to each Transfer object. By default labels are not returned. Example - ?with_labels=LABEL1&include_labels=true - `state` (string) Filter by transfer states. Enum: "PREPARED", "EXECUTED", "COMPLETED", "FAILED", "PENDING" - `internal_id` (string) Optional parameter for filtering with internalId. - `sender_end_to_end_id` (string) Optional parameter for filtering with sender end to end id. - `sort_field` (string) Field used to sort the results. Enum: "CREATED_AT", "MODIFIED_AT" - `sort_direction` (string) Sort direction. Enum: "ASC", "DESC" - `account` (string) RippleNet account which is involved in transfer - `transfer_account_role` (string) by default account parameter would search both sender and receiver of transfer and bring the results. This is to restrict the account search to sender or receiver of a transfer Enum: "SENDING", "RECEIVING" ## Response 200 fields (application/json): - `first` (boolean) true if this is the first page. - `last` (boolean) true if this is the last page. - `number` (integer) page number - `numberOfElements` (integer) Number Of elements in this request - `size` (integer) page size - `totalElements` (integer) Total number of elements for the given request - `totalPages` (integer) Total number of pages for the given request - `sort` (array) Sort details of this page - `sort.direction` (string) Direction of the sort Example: "ASC" - `sort.property` (string) - `sort.ignoreCase` (boolean) - `sort.nullHandling` (string) Example: "NULLS_FIRST" - `sort.ascending` (boolean) Example: true - `sort.descending` (boolean) - `content` (array) Provides an array of transfer objects. - `content.transfer_id` (string, required) Unique identifier of the transfer. Example: "9eca588f-e89d-4629-82fa-da9c4646310f" - `content.state` (string, required) State of the transfer.QUOTED and PENDING only apply when RippleNet is enabled to receive payments from xRapid. QUOTED represents an outbound transfer fee estimate. PENDING is the state of an outbound transfer executed by RippleNet (via xRapid) but not yet paid out by the digital exchange. If successfully paid out, the state becomes COMPLETED. If not successfully paid out by the digital exchange, the state becomes FAILED. Enum: "PREPARED", "EXECUTED", "COMPLETED", "CANCELLED", "FAILED", "QUOTED", "PENDING", "OTHER" - `content.owner_address` (string, required) Owner RippleNet address, if different from the RippleNet address of the sender_address and receiver_address. Example: "rn.us.ca.san_francisco" - `content.sender_address` (string, required) RippleNet account name and address, in the format accountname@ripplenetaddress. For example, new_york@rn.us.ny.new_york. Example: "trans_usd_sf@rn.us.ca.san_francisco" - `content.receiver_address` (string, required) RippleNet account name and address, in the format accountname@ripplenetaddress. For example, new_york@rn.us.ny.new_york. Example: "conct_usd_sf@rn.us.ca.san_francisco" - `content.amount` (number, required) Amount transferred, expressed in the account's currency. Example: 15 - `content.internal_id` (string) Internal ID that the sender can optionally specify. Only visible to the sender. Only the sending RippleNet instance stores this ID. Example: "9cf5aa4b-1e44-436a-ab7c-d399aec905da" - `content.end_to_end_id` (string) ID that the sender can optionally specify. Persisted on all RippleNet instances that participated in the transfer. Example: "fd7559be-aa85-433f-a283-0cd58681cdf0" - `content.sending_fee` (number) Optional sending fee charged by a digital asset exchange for initiating an outbound transfer. - `content.created_at` (string) The time when this transfer is created. Example: "2019-10-01T21:28:28.354Z" - `content.user_info` (array, required) Custom information set by a RippleNet address involved in the transfer. - `content.user_info.node_address` (string, required) RippleNet address of the xCurrent instance that set the user information. Example: "rn.us.ca.san_francisco" - `content.user_info.state` (string, required) State of the transfer set when the RippleNet address set the user information. Enum: "PREPARED", "EXECUTED", "COMPLETED", "CANCELLED", "FAILED", "QUOTED" - `content.user_info.json` (object, required) One or more arbitrary key/value pairs. - `content.user_info.created_at` (string) timestamp of when this user info was created Example: "2019-10-01T21:28:28.357Z" - `content.labels` (array) List of labels associated with this transfer Example: ["label1","label2","label3"] ## Response 400 fields (application/json): - `type` (string) URL to the error documentation. Example: "https://errors.ripplenet.ripple.com/error/json-processing-error" - `title` (string) Summary of the returned problem. Example: "Invalid Request Object" - `detail` (string) Description of the returned problem. Example: "The request parameter [account_id] is not in the correct format." - `status` (number) HTTP error code. Example: 400 - `ripplenet_error_code` (string) RippleNet specific error code. Example: "E0104" - `finality` (string) Specifies if the request can be retried for a successful response. Example: "PERMANENT"